Weboob 0.a (2012-02-05)
	General
	* New backend: Boursorama (CapBank).
	* New backend: CMB (CapBank).
	* New backend: HSBC (CapBank).
	* New backend: ING (CapBank).
	* New backend: Nolifetv (CapVideo).
	* New backend: RadioFrance (CapVideo, CapRadio) which merges
	  FranceInter and LeMouv backends.
	* Support repositories to manage backends (#747).
	* Support XDG Base Directory Specification (#765).
	* Make CapCollection understandable and usable by humans.

	Console applications
	* Ability to add all supported modules at once.
	* With -a, try to separate saved responses by backend (#661).

	Qt applications
	* Verbose error messages (#775).

	Backend: AuM
	* Display the 'title' field on contact profiles.
	* Get events (baskets, charms and visits).
	* Add city in status message.
	* Add 'Sent with my iPhone' in mail signatures when needed.
	* Display at least one photo url in profile even if there isn't any
	  visible.
	* Add a 'ratio' field.
	* Fix: getting contacts list.
	* Fix: support new API.
	* Fix: ipaddr is not available anymore.
	* Fix: do not crash if there are php errors before json.

	Backend: Batoto
	* Change .com to .net.

	Backend: BNP
	* Fix: website changed (#769).

	Backend: BP
	* Fix: website changed.
	* Fix: open images in memory instead of saving them in temp files.

	Backend: CanalPlus
	* Support https?://www\.canal-?plus\.fr/.*\?vid=(\d+) urls.

	Backend: CreditMutuel
	* Internal transfer implemented.
	* Fix: website changed.

	Backend: Dailymotion
	* Fix: support missing descriptions.

	Backend: DLFP
	* Limit feed entries by date instead of number of results.

	Backend: FranceTelevisions
	* Fix: website changed.

	Backend: Gazelle
	* Handle general errors when website is unavailable.

	Backend: INA
	* Fix: parsing of URLs.

	Backend: Kickass
	* Fix: website changed.

	Backend: LCL
	* Add support for various types of accounts.
	* List 45 days history by default.
	* Fix: website changed.

	Backend: LeFigaro
	* Better cleanup of generic articles (#725).
	* Fix: website changed.

	Backend: Orange
	* Fix: unicode errors.

	Backend: Pastebin
	* Handle user pages.

	Backend: Piratebay
	* Fix: website changed.

	Backend: SocieteGenerale
	* Fix: website changed.

	Backend: Youjizz
	* Fix: video URLs have changed.

	Backend: Youporn
	* Fix: website changed.

	Backend: Youtube
	* Fix: website changed.

	Application: QBoobMsg
	* When a thread is a discussion, display messages linearly.
	* Add a button 'Profile'.

	Application: QHaveSex
	* Add a 'Events' tab.
	* Add a 'Notes' tab for taking notes about a contact.

	Application: QVideoob
	* Fix: crash when there is no thumbnail on a video (#708).

	Application: weboob-config-qt
	* Ability to edit sources.list, update repositories and install
	  modules.

Weboob 0.9 (2011-10-10)
	General
	* New backend: Batoto (CapGallery).
	* New backend: Eatmanga (CapGallery).
	* New backend: FranceTelevisions (CapVideo).
	* New backend: HDS (CapMessages).
	* New backend: Izneo (CapGallery).
	* New backend: Mangafox (CapGallery).
	* New backend: Mangahere (CapGallery).
	* New backend: Mangareader (CapGallery).
	* New backend: Mangatoshokan (CapGallery).
	* New backend: Nova (CapRadio).
	* New backend: PhpBB (CapMessages, CapMessagesReply).
	* New backend: Simplyread.it (CapGallery).
	* New application: boobtracker (CapBugTracker).
	* New script: hds/export.py to export stories from
	  histoires-de-sexe.net into a sqlite database.
	* License change to AGPLv3+.
	* Ability to not save backend passwords. Applications will prompt them
	  when needed.

	Backend: Arte
	* Set duration on video results.

	Backend: AuM
	* Rewrite to use the mobile API.

	Backend: BNPorc
	* Get operation categories.

	Backend: CrAgr
	* Get full history.
	* Optimized operations retrieval for CA Centre.
	* Fix: parsing accounts list.

	Backend: CreditMutuel
	* Maine-Anjou, Basse-Normandie bank added.

	Backend: Dailymotion
	* Fix: parsing duration.
	* Fix: parsing of lives in search results.

	Backend: DLFP
	* Fix: disconnection URL needs to be called with POST instead of GET.
	* Fix: do tests on alpha.linuxfr.org.
	* Fix: relevance on news/diaries.

	Backend: Gazelle
	* Handle login errors.
	* Fix: parsing on several gazelle websites.

	Backend: INA
	* Support videos on www.ina.fr (in addition to boutique.ina.fr).

	Backend: IPInfoDB
	* Fix: no crash when there are no coordinates from server.

	Backend: Kickass
	* Fix: parsing of search results (#663).

	Backend: MediaWiki
	* Handle errors from API.

	Backend: MeteoFrance
	* Fix: website changes.

	Backend: Orange
	* Fix: handling of pages.

	Backend: PirateBay
	* Fix: parsing of search results.

	Backend: Redmine
	* Now implements CapBugTracker (#684).

	Backend: Transilien
	* Supports the roadmap feature (#681).

	Backend: Youtube
	* Support more URLs.
	* Support authentication.
	* Fix: website changes.

	Application: boobank
	* Add the 'qif' formatter.

	Application: boobank-munin
	* When handling an incorrect password error, disable backend to
	  prevent your bank to disable your account (for example with BNP).

	Application: pastoob
	* Ability to pipe output.

	Application: traveloob
	* New command 'roadmap' to get the roadmap between to stations. It's
	  also possible to give a departure or an arrival time (#681).

	Application: videoob
	* Do not run player in background (#664).
	* Command 'download' supports mms streams.

	Application: weboorrents
	* The given filename to command 'getfile' is optional (#683).

Weboob 0.8 (2011-05-08)
	General
	* New backend: E-Hentai (CapGallery).
	* New backend: FranceInter (CapRadio).
	* New backend: LeMouv (CapRadio).
	* New backend: PasteALaCon (CapPaste).
	* New backend: PasteBin (CapPaste).
	* New application: Boobathon (CapContent).
	* New application: Galleroob (CapGallery).
	* New application: Pastoob (CapPaste).
	* Fix lot of unicode problems.
	* License changed to AGPLv3+.
	* FreeBSD support.

	Repl applications
	* The new CapCollection capability is supported by every REPL
	  Application. At the moment, only few backends implement it.
	* Better messages and return codes in applications.

	Backend: AdopteUnMec
	* Fix: website changes (#508,#637,#638,#639).

	Backend: BNPorc
	* The 'rotating_password' parameter is now an hidden one (#627).
	* Ability to do transfers to external recipients.

	Backend: BP
	* Add 'comptes titres', 'comptes vies' and 'comptes retraites' to the
	  list of accounts (#567).
	* Fix: website changes (#621).

	Backend: CanalPlus
	* Implement the new CapCollection capability.

	Backend: CrAgr
	* Support of a new history layout.
	* Fix: login issues with the Toulouse website (#629).

	Backend: Dailymotion
	* Fix: URL was not found in special cases.

	Backend: FourChan
	* Fix: support message "AMERICA FUCK YEAH" outside of a thread.

	Backend: Gazelle
	* Fix: work with broken gazelle websites.

	Backend: Inrocks
	* Fix: matching URLs.

	Backend: KickAss
	* Several fixes and enhancements (#651).

	Backend: LCL
	* Fix: websites changes.

	Backend: OuiFM
	* Implements the new CapCollection capability.

	Backend: Transilien
	* Add the PAA code for Gare de Lyon.

	Backend: Youtube
	* Support more URLs.

	Backend: Youporn
	* Correctly set the 'ext' attribute on videos.

	Application: monboob
	* Check configuration (#484).

	Application: weboob-config
	* New commands 'enable' and 'disable'.

	Core
	* Use lowercase http_proxy environment variable.
	* select() function has been moved into parser.
	* Support for xpath in LxmlHtmlParser.select.
	* Fragments are removed from URLs (#636).
	* Remove a hack from feedparser which fixes parsing of webpages with
	  recent versions of this library.
	* Also log redirects when saving responses and debugging (#398).

Weboob 0.7 (2011-04-01)
	General
	* New backend: Dailymotion (CapVideo).
	* New backend: Ecrans (CapMessages).
	* Now compatible with Windows (is it really a good news? :)).

	Console applications
	* Do not print escape characters (like bold) when using -O.

	Backend: AuM
	* Fix: parsing of smileys (#532).
	* Fix: new page (#535).

	Backend: BP
	* Fix: parsing of accounts is case there are missing sections.

	Backend: CreditMutuel
	* Compatibility with other agencies (#550).

	Backend: DLFP
	* Ability to plusse/moinse contents.
	* Ability to tag a content.
	* Support the board.
	* Support comments signatures.
	* Support wiki, forums, polls, tracker.
	* Now implements CapContent to edit wiki.

	Backend: FourChan
	* All messages are children of thread.

	Backend: Inrocks
	* Add support of 'InrocksTV' pages.

	Backend: IpInfoDB
	* Fix: crash when lat/long are empty (#585).

	Backend: LCL
	* Fix login, and implement CapBank methods.

	Backend: Newsfeed
	* Fix: correctly set the UNREAD flag.

	Backend: Orange
	* Fix: posting messages (#614).

	Backend: Redmine
	* Fix: support project names with '-' in.

	Backend: Transilien
	* Fix: don't keep previous results.
	* Change user-agent of browser and use HTTPS (#580,#583).

	Backend: Youjizz
	* Fix: crash when duration is not available.

	Backend: Youtube
	* Now correctly handle gdata errors.
	* Fix: get video from page URL.
	* Fix: get file URL of video.

	Application: boobmsg
	* New command 'export_all'.
	* New xhtml formatter.

	Application: masstransit
	* Works without conic or hildon (#562).
	* Add banner on load.

	Application: QWebContentEdit
	* Better errors management.

	Application: videoob
	* New command 'download'.

	Application: webcontentedit
	* Set a default editor (#557).

	Core
	* Split of ReplApplication to create ConsoleApplication.
	* Remove the 'refresh' feature from Browser (to prevent unwanted
	behaviors like freezes).
	* Browser has upgraded Firefox from 3.0.3 to 3.6.13.
	* Browser doesn't retry on 404 errors.
	* Script to generate Sphinx API documentation.

Weboob 0.6 (2011-03-01)
	General
	* New backend: Inrocks (CapMessages).
	* New backend: LeFigaro (CapMessages).
	* New backend: MediaWiki (CapContent).
	* New backend: Minutes20 (CapMessages).
	* New application: QWebContentEdit (CapContent).

	Backend: AuM
	* Fix: website changed, mails.php renamed to mail.php.

	Backend: BNP
	* Fix: the captcha has been changed on their website (#461).

	Backend: CrAgr
	* Fix: the history operation works when every non-ASCII character on
	  the bank website is replaced with two interrogation marks.
	* Fix: calculation of cents.

	Backend: CreditMutuel
	* Fix: negative value correctly considered by 'list'

	Backend: DLFP
	* Fix: website changed to a new version (#503).

	Backend: IsoHunt
	* Fix: website doesn't provide seed information on info page anymore
	  (#529).

	Backend: KickAss
	* Fix: size span detection improved (fixes #497).

	Backend: OuiFM
	* Fix: website changed to get current song.

	Backend: PirateBay
	* Fix: parsing to find leecher and seeders (#458).

	Backend: Redmine
	* Adds support for previewing modifications on redmine's wiki pages.
	* Fix: when login/password is invalid.

	Backend: Yahoo
	* Fix: didn't load with python < 2.6

	Application: boobmsg
	* New command 'export_thread'.
	* New parameter '-t' on the 'post' command to set a title.

	Application: monboob
	* Fix: catch errors when trying to bind the SMTP server (#485).

	Application: QBoobMsg
	* Fix: reload of backends list.

	Application: webcontentedit
	* New command 'log' to display all revisions of a page.

	Application: weboob-config
	* The 'edit' command can be used to interactively edit one backend,
	  instead of opening the './weboob/backends' file with a text editor.
	* Checks on given backends for 'backends <add|register>' subcommands.

	Application: weboob-config-qt
	* Fix: crash when trying to add an already existing backend.

	Repl Applications
	* New parameter '-O' to set an output file.

	Core:
	* Fix: Browser.location() crashes when uri is empty (#488).
	* Fix: catch every exceptions when loading a backend (not only
	  ImportError).

Weboob 0.5 (2011-01-08)
	General
	* New backend: MeteoFrance (CapWeather).
	* New backend: Orange (CapMessages, CapMessagesPost).
	* A new tool, make_man.py, is used to generate manpages.

	Backend: Bouygues
	* Fix: logging issues (#444).

	Backend: CrAgr
	* Fix: do not keep accounts list in cache.
	* Fix: extraction of amounts >999€ and negative amounts.

	Backend: KickAss
	* Fix: website changes (#457).
	* Fix: size parsing.

	Backend: PirateBay
	* Fix: size parsing.

	Backend: Yahoo
	* The 'search' command is implemented.

	Backend: Youtube
	* Fix: website changes (#450).

	Application: boobmsg
	* The 'post' command can take message from command-line instead of stdin.
	* Fix: encoding problems.

	Application: videoob
	* Fix: playing videos in some cases (#446).

	Application: wetboobs
	* Rewrite of application to use formatters.

Weboob 0.4 (2010-12-01)
	General
	* New backend: Bouygues (CapMessagesPost).
	* New backend: CanalPlus (CapVideo).
	* New backend: CreditMutuel (CapBank).
	* New backend: IPInfoDB (CapGeolocIp).
	* New backend: IsoHunt (CapTorrent).
	* New backend: KickAss (CapTorrent).
	* New backend: PirateBay (CapTorrent).
	* New backend: SFR (CapMessagesPost).
	* New backend: SocieteGenerale (CapBank).
	* New application: boobmsg (CapMessages, CapMessagesPost).

	Console applications
	* New command 'inspect' to open a graphical webkit browser with the
	  current page (to help debugging). If it is not available, the page
	  source is displayed on stdout.
	* In question prompts, display a bullet list when there are too many
	  choices.
	* The --save-responses (-a) parameter stores now pages in a directory
	  and save here a debug log and a list of visited URLs associated to the
	  files.
	* Fix unicode issues (#436).

	Backend: AuM
	* Do not send baskets messages from left sluts.
	* Anti-spam is updated.
	* Raise an error when user is banned.
	* New optimization PRIORITY_CONNECTION to create fake godchilds to allow
	  user access to website between 18h and 1h. (#319)
	* New optimization QUERIES_QUEUE to enqueue queries in case no charms are
	  available.
	* New backend parameter 'baskets' to enable getting baskets messages.
	* In profiles, look for hidden photos.

	Backend: BNPorc
	* Fix: display of coming operations.
	* Fix: check if the password rotation has been succeed.

	Backend: BP
	* Backend has been rewritten to use BaseBrowser (#422).
	* Fix: backend initialization.
	* Fix: parsing of accounts.
	* Fix: handle of transfers errors.

	Backend: CrAgr
	* Support of history operations.
	* Support monay transfers.
	* Choose the agency website in a list instead of giving URL.

	Backend: DLFP
	* Store datetime from newsfeed in the Thread object (#419).
	* Now the session is closed at deinit.
	* Fix: when posting a comment, send right parameters to immediately
	  display it.

	Backend: GeolocIP
	* Use the website www.geolocip.com instead of www.geolocalise-ip.com. It
	  prevents authentication and limits.

	Backend: INA
	* Fix: parsing date, duration and title.

	Application: boobank-munin
	* Save cache in .weboob/munin/ and handle errors.
	* New option 'boobank_cumulate' to display graph as areas instead of
	  plots.

	Application: havesex
	* The optimizations management has been rewritten.
	* New command 'query' to send a query to a contact (like a charm or a
	  poke).
	* Fix: do not exist after displaying a profile in interactive mode.

	Application: monboob
	* New option to pipe mails to an external process instead of sending it
	  to a SMTP server.
	* Fix: when domain in In-Reply-To contains a '@'.
	* Fix: parsing incoming mails when no charset is supplied.
	* Fix: unicode issues.

	Application: QHaveSex
	* Display URL of contacts.
	* Contacts list is now sorted.
	* Have a photos caroussel on profile page.

	Application: weboob-config
	* New command 'confirm'. It takes an email in stdin and call corresponding
	  backend to go on the confirm address. It is useful to automatically
	  confirm account register.

	Application: weboorrents
	* Ability to complete paths.

	Core
	* The 'repeat' scheduler has been rewritten.
	* Ability to cancel a scheduled task.
	* Fix parsing of path-like in INI config.
	* Conditions are now treated by BackendsCall instead by formatters (#372).
	* Backends name can now contain only letters and digits.
	* Add a tool to generate manpages.

Weboob 0.3 (2010-11-01)
	General
	* New backend: LCL (CapBank) -- unfinished.
	* New backend: OuiFM (CapRadio).
	* New backend: Newsfeed (CapMessages).
	* New backend: Redmine (CapContent).
	* New application: radioob (CapRadio).
	* New application: webcontentedit (CapContent).
	* New application: boobank-munin is a plugin for munin (CapBank).
	* New tests.
	* New global parameter --logging-file to log into a file instead of
	  stdout.
	* Logging is now colorized when printed on stdout (depending on level).

	Console Applications
	* Formatters management have been rewritten. Now each command can set its
	  own default formatter, and user can redefine them.
	* If output exceed the height of term, ask user to press a key for each
	  page.
	* Do not display columns when all of these values are NotLoaded or
	  NotAvailable.
	* Add a CSV formatter (#350).
	* Command 'backends register' to register a new account (#294).
	* Can use '$full' and '$direct' selectors.

	Backend: Arte
	* Fix: fall-back when the wanted quality is not available.

	Backend: AuM
	* New anti-spam feature to detect, block and report spambots (#313).
	* Implements the capability CapAccount to register new accounts (#389).
	* In profile walker, when reloading sluts list from search page, do not
	  keep the previous queue to prevent visiting sluts who have been added
	  a long time before and who are now disconnected.
	* Contact status is now 'connected'/'not connected since ... hours'.
	* Fix: do not crash if contact list is empty.

	Backend: BNPorc
	* If password is expired, switch with the value of the new
	  'rotating_password' backend setting.
	* Support transfers (#416).
	* Fix: don't crash when accounts don't support 'coming' (#401).
	* Fix: when website is not available, raise BrowserUnavailable instead of
	  BrowserIncorrectPassword.

	Backend: DLFP
	* Replace 'cite>' and 'tt>' to 'i>' in read messages.

	Application: boobank
	* Use 'table' as default formatter.
	* Output for the 'list' command is more readable (#410).
	* When a transfer is made, display all information instead of ID.
	* Fix: do not load backends twice (#405).

	Application: QBoobMsg
	* Support threads display and answers.
	* Support sending answers (plaintext or HTML).
	* Unread messages are in yellow in list, and set message as read when
	  one is selected.
	* Fix: correctly reload when backends have been changed.

	Application: QHaveSex
	* Ability to display a profile from URL.

	Application: QVideoob
	* Fix: search on youtube was unlimited, so QVideoob freezed.

	Application: traveloob
	* Use 'table' as default formatter.

	Application: videoob
	* Output for the 'search' command is more readable.

	Application: weboob-config
	* Add a 'register' command (#294).

	Application: weboob-config-qt
	* Add a 'Register' button to register a new account on a backend (#390).

	Application: weboorrents
	* Output for the 'search' and 'info' commands is more readable.

	Core
	* Weboob.load_backends() takes a new 'errors' argument.
	* CapBaseObject has a new method 'add_field' to add a field property which
	  forces a specific type and is set to NotLoaded by default.
	* Browser.readurl() can take same arguments than Browser.openurl().
	* If a page is not recognized by the Browser instance, save response even
	  if -a is not supplied.
	* Introduce 'Value' classes to replace BaseBackend.ConfigField and is
	  used by ReplApplication.ask().
	* Use several loggers for parts of weboob.
	* Fix: crash when HTTP server returns shit (#406).

Weboob 0.2 (2010-10-01)
	* Backend 'yweather' renamed to 'yahoo'.
	* New capability: ICapGeolocIp to geolocalise IP addresses.
	* New backend Arte: for the arte.tv french TV website.
	* New backend GeolocIp: for the geolocalise-ip.com website.
	* New backend BP: for the “Banque Postale” french bank.
	* AuM backend: check when the account is blocked.
	* AuM backend: ability to register new account.
	* BNPorc backend: support history.
	* CrAgr backend fix: support of another version of Credit Agricole.
	* CrAgr backend fix: check if website is down.
	* DLFP backend: display comments link in signature.
	* DLFP backend fix: parsing of comments when templeet sucks.
	* Youtube backend: support infinite searches.
	* Youtube backend fix: parsing of URLs (#388).
	* New application geolooc: a console application to interact with
	  ICapGeolocIp backends.
	* New application weboob-cli: a console application to interact with
	  every backends.
	* boobank application: new command 'history'.
	* boobank application: new command 'transfer'.
	* QHaveSex application: know if a message has been read or not.
	* videoob application: new command 'play'.
	* Console applications: can be interactive (repl) when run without any
	  command (#353).
	* Console applications: if no backends are loaded at startup, ask user to
	  add them.
	* Console applications: -s '*' fills objects.
	* Qt applications: display configuration window if no backends are loaded
	  at startup.
	* Core: ability to fill objects already fetched to complete them.
	* Core: ICapMessages has been rewritten to be more efficient.
	* Core: can enable or disable backends.
	* Core: a test architecture has been written.
	* Core: all loaded backends now need to be configured (#368).
	* Core: new pargument --save-responses to debug HTML pages (#274).
	* Core fix: handle read URL data failure.
	* Core fix: Client is merged into mechanize >= 0.2 (#362).


Weboob 0.1 (2010-08-03)
	* First public release.
	* The core system can load/unload backends, supports configured
	  backends, can do asynchronous calls to specific backends.
	* Capabilities are abstractions to be overloaded by backends:
	  - ICapBank
	  - ICapChat
	  - ICapContact
	  - ICapDating
	  - ICapMessages
	  - ICapMessagesReply
	  - ICapTorrent
	  - ICapTravel
	  - ICapVideo
	  - ICapWeather
	* Backends interact with websites:
	  - AuM
	  - BNPorc
	  - CanalTP
	  - CrAgr
	  - DLFP
	  - FourChan
	  - Gazelle
	  - INA
	  - Transilien
	  - YouJizz
	  - YouPorn
	  - YouTube
	  - YWeather
	* Applications interact with backends:
	  Console
	  - boobank
	  - chatoob
	  - havesex
	  - traveloob
	  - videoob
	  - weboob-config
	  - weboorrents
	  - wetboobs
	  Nokia N900 Phones
	  - masstransit
	  Daemon
	  - monboob
	  Qt
	  - QBoobMsg
	  - QHaveSex
	  - QVideoob
	  - weboob-config-qt
	  Web
	  - videoob-web-server
